xcb_rotate_properties(3)

NAME
xcb_rotate_properties -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_rotate_properties(xcb_connection_t *conn, xcb_window_t window, uint16_t atoms_len, int16_t delta, const xcb_atom_t *atoms);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

atoms_len
    TODO: NOT YET DOCUMENTED.

delta
    TODO: NOT YET DOCUMENTED.

atoms
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_rotate_properties_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.